﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Media.Media3D;
using System.Windows.Shapes;

namespace Controls
{
    /// <summary>
    /// Interaction logic for ThreeDee.xaml
    /// </summary>
    public partial class ThreeDee : Window
    {
        private float m_angle = 0.0f;
        public ThreeDee()
        {
            InitializeComponent();
        }

        private void House_OnClick(object sender, MouseButtonEventArgs e)
        {
            MessageBox.Show(this, "I'm a house!", "You clicked me!", MessageBoxButton.OK);
        }

        private void Btn3D_OnClick(object sender, RoutedEventArgs e)
        {
            m_angle += 5;
            BtnViewport.Transform = new RotateTransform3D(new AxisAngleRotation3D(new Vector3D(0, 1, 0), m_angle));
        }
    }
}
