﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace EventsCommands
{
    /// <summary>
    /// Interaction logic for Commands.xaml
    /// </summary>
    public partial class Commands : Window
    {
        public Commands()
        {
            ApplicationCommands.SaveAs.InputGestures.Add(new KeyGesture(Key.S,
                ModifierKeys.Control | ModifierKeys.Shift));
            InitializeComponent();
        }

        private void TextNotEmpty(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = tbNotepad.Text.Length > 0;
        }

        private void SaveText(object sender, ExecutedRoutedEventArgs e)
        {
            Title = $"Saved {e.Parameter} file!";
        }
    }
}
